Package org.gradle.api.file

## Class DuplicateFileCopyingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.api.file.DuplicateFileCopyingException

- All Implemented Interfaces:
    `Serializable`

      public class DuplicateFileCopyingException
      extends GradleException

  Thrown when more than one file with the same relative path name is to be copied and the `DuplicatesStrategy` is set to DuplicatesStrategy.FAIL
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DuplicateFileCopyingException​(String desc)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DuplicateFileCopyingException

          public DuplicateFileCopyingException​(String desc)